# ntptime - read and set kernel time variables

| from Pogo, Walt Kelly The turtle has been swimming in the kernel.

## 1. Manual Pages

### 1.1. Manual Pages

- `ntp.conf(5)` - ntpd Configuration File

- `ntp.keys(5)` - NTP symmetric key file format

- `ntpd(8)` - Network Time Protocol (NTP) daemon

- `ntpdig(1)` - Simple Network Time Protocol (SNTP) client

- `ntpfrob(8)` - frob the local clock hardware

- `ntpkeygen(8)` - generate public and private keys

- `ntpleapfetch(8)` fetch and manage leap-offset file

- `ntploggps(1)` - log gpsd data for use by ntpviz

- `ntplogtemp(1)` - log system temperature data for use by ntpviz

- `ntpmon(1)` - real-time NTP status monitor

- `ntpq(1)` - standard NTP query program

- `ntpsnmp(1)` - an AgentX Simple Network Management Protocol sub-agent [`experimental`]

- `ntpsweep(1)` - print information about given NTP servers

- `ntptime(8)` - read and set kernel time variables

- `ntptrace(1)` - trace a chain of NTP servers back to the primary source

- `ntpviz(1)` - make offset, jitter, and other plots from logfiles

- `ntpwait(8)` - wait until ntpd is in synchronized state

## 2. Table of Contents

- Synopsis

- Description

- Options

- Bugs

## 3. Synopsis

    ntptime [-chr] [-e est_error] [-f frequency] [-j]
            [-m max_error] [-o offset] [-s status]
            [-t time_constant]

## 4. Description

Checks the kernel configuration for the NTP user interface syscalls `ntp_gettime()` and `ntp_adjtime()`. If present, the current timekeeping data are displayed. If not, a disappointment is displayed. See the kernel page file in the HTML documentation in distribution for further details.

A similar display can be obtained using the `ntpq` program and `kerninfo` command.

This program is useful only with kernels featuring the ntp_adjtime(2) system call or local equivalent, as described in the A Kernel Model for Precision Timekeeping page,

## 5. Options

`-c`

  Display the execution time of `ntptime` itself.

`-e` est_error

  Specify estimated error, in microseconds.

`-f` frequency

  Specify frequency offset, in parts per million.

`-h`

  Display help information.

`-j`

  Report in JSON rather than plain text.

`-m` max_error

  Specify max possible errors, in microseconds.

`-o` offset

  Specify clock offset, in microseconds.

`-r`

  Display Unix and NTP times in raw format.

`-s` status

  Specify clock status. Better know what you are doing.

`-t` time_constant

  Specify time constant, an integer in the range 0-10.

`-V`

  Print the version string and exit.

## 6. Bugs

The format for modes and status in the JSON report is less than ideal.

Home Page | Site Map | Contacts